Package Details: ncmpcpp-vim-git 1:2053.ba83b9d-1

Git Clone URL: https://aur.archlinux.org/ncmpcpp-vim-git.git (read-only)
Package Base: ncmpcpp-vim-git
Description: An almost exact clone of ncmpc with some new features. Patched for vim-like keybindings.
Upstream URL: http://unkart.ovh.org/ncmpcpp/
Licenses: GPL2
Conflicts: ncmpcpp, ncmpcpp-color, ncmpcpp-git, ncmpcpp-xdg-config, ncmpcpp-xdg-config-git
Provides: ncmpcpp
Submitter: KoffeinFlummi
Maintainer: Ektor-5
Last Packager: KoffeinFlummi
Votes: 7
Popularity: 0.001002
First Submitted: 2015-08-05 22:20
Last Updated: 2016-11-21 13:43

Dependencies (9)

Required by (1)

Sources (2)

Latest Comments

rosshadden commented on 2017-02-03 18:41

The patch linked by @Nilocshot worked for me.

Nilocshot commented on 2017-01-30 21:14

new patch that MAY work:
http://pastebin.com/V4bvxkek

Xemerau commented on 2017-01-18 11:27

Install is failing at prepare(), i'm not sure how to fix it myself but I can provide the errors:

==> Starting prepare()...
-> Applying /tmp/packerbuild-1000/ncmpcpp-vim-git/ncmpcpp-vim-git/src/vim-keybindings.patch
patching file src/bindings.cpp
Hunk #1 FAILED at 471.
Hunk #2 succeeded at 491 (offset 4 lines).
Hunk #3 succeeded at 532 (offset 4 lines).
Hunk #4 succeeded at 546 (offset 4 lines).
Hunk #5 succeeded at 684 (offset 4 lines).
Hunk #6 succeeded at 741 with fuzz 1 (offset 3 lines).
1 out of 6 hunks FAILED -- saving rejects to file src/bindings.cpp.rej
==> ERROR: A failure occurred in prepare().
Aborting...
The build failed.

KoffeinFlummi commented on 2016-11-21 13:44

Sorry for the delay. I updated the patch and the PKGBUILD according to the upstream changes.

Ektor-5 commented on 2016-11-02 15:25

Tried lately to recompile it, but I've see that ./autogen.sh doesn't issue any ./configure command anymore. See 0156e7d42417d156f37c3963fd661e57f5d8de97 upstream for more details. Just add "./configure BOOST_LIB_SUFFIX='' --prefix=/usr etc.. etc.." to the PKGBUILD as a workaround to get a working package.
Ek5

jamietanna commented on 2016-04-19 13:53

Note that this package may require a recompile as of 2016-04-09, when extra/icu had a version bump.